%define name syndigator
%define version 0.20.0
%define stage rc2
%define release alt1.%stage
%define _perl_lib_path %_libdir/%name

Summary: Desktop news aggregator for GNOME
Name: %name
Version: %version
Release: %release
Source0: %name-%version.%stage.tar.gz
License: GPL
Group: Networking/News
Url: http://syndigator.sourceforge.net

Requires: perl-Gnome2-VFS perl-Gnome2-Canvas perl-Gtk2-Html2 perl-Gtk2-TrayIcon perl-Gnome2 perl-Algorithm-Diff
# Automatically added by buildreq on Mon Mar 07 2005 (-ba)
BuildRequires: perl-DateManip perl-Storable perl-Text-Iconv perl-XML-RSS perl-XML-Simple
# it must be here due xml encoding issues
BuildRequires: perl-XML-Parser >= 2.34-alt1.2

%description
%summary

%prep
%setup -q -n %name-%version.%stage

%build
%make_build

%install
%makeinstall PREFIX=%buildroot/usr
%__mkdir_p %buildroot%_menudir
cat << EOF > %buildroot%_menudir/%name
?package(%name): command="%_bindir/%name" \
	section="Networking/News" \
	title="syndigator" \
	needs="X11"  \
	icon="%name.png" \
        longtitle="Desktop news aggregator for GNOME"
EOF

# XXXX we need xvfb-run here?
%add_findreq_skiplist %_libdir/%name/RSSReader/Gtk2UI.pm
%add_findreq_skiplist %_libdir/%name/RSSReader/Gtk2UI/*

%post
%update_menus

%postun
%clean_menus

%files
%doc CHANGELOG
%_bindir/%name
%_datadir/%name
%_datadir/pixmaps/%name.png
%_datadir/applications/%name.desktop
%_menudir/%name
%_libdir/%name

%changelog
* Mon Mar 07 2005 LAKostis <lakostis at altlinux dot ru> 0.20.0-alt1.rc2
- initial build for Sisyphus.
